package de.oaa.xxx.aufgaben;

import java.util.List;
import java.util.UUID;

public class Strafe {

	private UUID strafeId;
	private Integer level;
	private String text;
	private String kurzText;
	private Integer sekundenVon;
	private Integer sekundenBis;
	private UUID gruppeId;
	private List<Werkzeug> benoetigtAktiv;
	private List<Werkzeug> benoetigtPassiv;
	private List<Toy> benoetigteToys;

	public UUID getStrafeId() {
		return strafeId;
	}

	public void setStrafeId(UUID strafeId) {
		this.strafeId = strafeId;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public Integer getSekundenVon() {
		return sekundenVon;
	}

	public void setSekundenVon(Integer sekundenVon) {
		this.sekundenVon = sekundenVon;
	}

	public Integer getSekundenBis() {
		return sekundenBis;
	}

	public void setSekundenBis(Integer sekundenBis) {
		this.sekundenBis = sekundenBis;
	}

	public List<Werkzeug> getBenoetigtAktiv() {
		return benoetigtAktiv;
	}

	public void setBenoetigtAktiv(List<Werkzeug> benoetigtAktiv) {
		this.benoetigtAktiv = benoetigtAktiv;
	}

	public List<Werkzeug> getBenoetigtPassiv() {
		return benoetigtPassiv;
	}

	public void setBenoetigtPassiv(List<Werkzeug> benoetigtPassiv) {
		this.benoetigtPassiv = benoetigtPassiv;
	}

	public List<Toy> getBenoetigteToys() {
		return benoetigteToys;
	}

	public void setBenoetigteToys(List<Toy> benoetigteToys) {
		this.benoetigteToys = benoetigteToys;
	}

	public UUID getGruppeId() {
		return gruppeId;
	}

	public void setGruppeId(UUID gruppeId) {
		this.gruppeId = gruppeId;
	}

	public String getKurzText() {
		return kurzText;
	}

	public void setKurzText(String kurzText) {
		this.kurzText = kurzText;
	}
}
